Bug 522351 - Permissions of symlinked source file/folder set to 777 if symlink is copied via nautilus
Summary: Permissions of symlinked source file/folder set to 777 if symlink is copied v...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: glib2
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2009-3289
TreeView+ depends on / blocked
 
Reported: 2009-09-10 06:35 UTC by Arand Nash
Modified: 2010-06-28 14:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:34:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 418135 None None None Never
GNOME Bugzilla 593406 None None None Never

Description Arand Nash 2009-09-10 06:35:15 UTC
Description of problem:
When copying a symlink using nautilus (using glib) the target file/folder's permissions are set to 777.

Version-Release number of selected component (if applicable):
-

How reproducible: Always

Steps to Reproduce:
1. Create a symlink to a file or folder, on which you normally are able change permissions. (touch ~/testfile && ln -s ~/testfile ~/testlink)
2. Copy the symlink to anywhere using Nautilus (ctrl+c && ctrl+v)
3. Check permissions of the symlinked file or folder
  
Actual results:
Symlinked file or folder permissions are changed to 777 (drwxrwxrwx user:user)

Expected results:
Permissions of symlinked file folder should be unchanged

Additional info:
Binary package hint: glib


NOTE: If testing different versions, nautilus needs to be restarted (including desktop), this easily done with:
killall nautilus && nautilus &disown

This bug does not allow setting permissions which your user could not do with chmod anyway, and hence is not a privilege escalation issue.

Comment 1 Arand Nash 2009-09-11 16:47:48 UTC
Some links:
git fix commit: http://git.gnome.org/cgit/glib/commit/?h=glib-2-20
Debian patch in SVN: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/glib2.0/

Comment 2 Arand Nash 2009-09-24 16:41:41 UTC
debian patch has been dropped, since merged upstream.

Comment 3 Arand Nash 2009-09-24 16:56:12 UTC
...and the git commit is: http://git.gnome.org/cgit/glib/commit/?h=glib-2-20&id=865c47d1a02d0e7a826e4b09c9c28ac2276d998b
rather

Comment 4 Bug Zapper 2010-04-28 10:16:22 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-06-28 14:34:20 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.